Integrate THE OHRES EDI into your applications
Include your API key in the Authorization header:
Authorization: Bearer YOUR_API_KEY/api/v1/partnersList all trading partners
curl -H "Authorization: Bearer YOUR_KEY" https://edi.oh-res.com.ng/api/v1/partners/api/v1/partners/:idGet partner details
curl -H "Authorization: Bearer YOUR_KEY" https://edi.oh-res.com.ng/api/v1/partners/walmart/api/v1/edi/validateValidate EDI document
curl -X POST -H "Authorization: Bearer YOUR_KEY" -d @document.edi https://edi.oh-res.com.ng/api/v1/edi/validate/api/v1/edi/translateConvert document to EDI
curl -X POST -H "Authorization: Bearer YOUR_KEY" -F "file=@po.pdf" https://edi.oh-res.com.ng/api/v1/edi/translate/api/v1/as2/sendSend via AS2
curl -X POST -H "Authorization: Bearer YOUR_KEY" -d @edi.txt https://edi.oh-res.com.ng/api/v1/as2/send/api/v1/transactionsTransaction history
curl -H "Authorization: Bearer YOUR_KEY" https://edi.oh-res.com.ng/api/v1/transactions/api/v1/healthSystem health check
curl https://edi.oh-res.com.ng/api/v1/health